Subject: [Tsvwg] latest add-ip

From: Randall Stewart <[email-masked]>
Date: Tue, 22 Nov 2005 09:49:41 -0500

All:

I just submitted the update to the add-ip document.

As discussed at the tsvwg this, hopefully, will be the
LC document.

There are two changes in this ..

a) A parameter that can be included in the INIT/INIT-ACK to
    identify that each side supports ADD-IP

b) A "wildcard" address. Now this sound a bit drastic and
    I think needs an explanation. What the wildcard address
    is, is for a method to send an ADD-IP to your peer
    when you don't know the IP address (aka you are behind a
    NAT). So what you do instead is you place an address
    parameter to be added that says 0.0.0.0 .. which tells
    the receiver use the IP address of the packet.

So how would this work:

Consider the following:

host-a---10.1.1.1-------nat-1----------------->
      |
      +---10.2.1.1-------nat-2----------------->

So host A sends a INIT() to IP-X. Goes through
the association setup... with no addresses listed
(since its source is 10.1.1.1 and it knows its
  talking to a globally scoped address).

But host-a knows it has a second address and a
second nat... so after the association is
established.. it send out on the second address
(10.2.1.1)

----AUTH|ASCONF(ADD-IP(0.0.0.0))-------->

Which tells the peer to use the source address
of the packet to do the add.

Now.. there are still some things missing yet.. which I
think Michael and I will add someday in a new proposal
to get through a NAT... aka detailing the above..

But for now.. this should explain what the "wildcard" is..
and put (hopefully) our area director at ease :-D

(remember ADD-IP requires AUTH.. so not only do we
  have 64bits of randomness protecting a ASCONF, we
  also have a shared secret that we sign on the
  association)..

Regards

R
-- 
Randall Stewart
803-345-0369 <or> 815-342-5222(cell)

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg